// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_mobile

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// CancelClaimServiceClient is the client API for CancelClaimService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type CancelClaimServiceClient interface {
	GetCancelClaim(ctx context.Context, in *order.GetCancelClaimRequest, opts ...grpc.CallOption) (*order.GetCancelClaimResponse, error)
	ListCancelClaim(ctx context.Context, in *order.ListCancelClaimRequest, opts ...grpc.CallOption) (*order.ListCancelClaimResponse, error)
	SaveCancelClaim(ctx context.Context, in *order.SaveCancelClaimRequest, opts ...grpc.CallOption) (*order.SaveCancelClaimResponse, error)
}

type cancelClaimServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewCancelClaimServiceClient(cc grpc.ClientConnInterface) CancelClaimServiceClient {
	return &cancelClaimServiceClient{cc}
}

func (c *cancelClaimServiceClient) GetCancelClaim(ctx context.Context, in *order.GetCancelClaimRequest, opts ...grpc.CallOption) (*order.GetCancelClaimResponse, error) {
	out := new(order.GetCancelClaimResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.CancelClaimService/GetCancelClaim", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cancelClaimServiceClient) ListCancelClaim(ctx context.Context, in *order.ListCancelClaimRequest, opts ...grpc.CallOption) (*order.ListCancelClaimResponse, error) {
	out := new(order.ListCancelClaimResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.CancelClaimService/ListCancelClaim", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *cancelClaimServiceClient) SaveCancelClaim(ctx context.Context, in *order.SaveCancelClaimRequest, opts ...grpc.CallOption) (*order.SaveCancelClaimResponse, error) {
	out := new(order.SaveCancelClaimResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.CancelClaimService/SaveCancelClaim", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// CancelClaimServiceServer is the server API for CancelClaimService service.
// All implementations must embed UnimplementedCancelClaimServiceServer
// for forward compatibility
type CancelClaimServiceServer interface {
	GetCancelClaim(context.Context, *order.GetCancelClaimRequest) (*order.GetCancelClaimResponse, error)
	ListCancelClaim(context.Context, *order.ListCancelClaimRequest) (*order.ListCancelClaimResponse, error)
	SaveCancelClaim(context.Context, *order.SaveCancelClaimRequest) (*order.SaveCancelClaimResponse, error)
	mustEmbedUnimplementedCancelClaimServiceServer()
}

// UnimplementedCancelClaimServiceServer must be embedded to have forward compatible implementations.
type UnimplementedCancelClaimServiceServer struct {
}

func (UnimplementedCancelClaimServiceServer) GetCancelClaim(context.Context, *order.GetCancelClaimRequest) (*order.GetCancelClaimResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetCancelClaim not implemented")
}
func (UnimplementedCancelClaimServiceServer) ListCancelClaim(context.Context, *order.ListCancelClaimRequest) (*order.ListCancelClaimResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListCancelClaim not implemented")
}
func (UnimplementedCancelClaimServiceServer) SaveCancelClaim(context.Context, *order.SaveCancelClaimRequest) (*order.SaveCancelClaimResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method SaveCancelClaim not implemented")
}
func (UnimplementedCancelClaimServiceServer) mustEmbedUnimplementedCancelClaimServiceServer() {}

// UnsafeCancelClaimServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to CancelClaimServiceServer will
// result in compilation errors.
type UnsafeCancelClaimServiceServer interface {
	mustEmbedUnimplementedCancelClaimServiceServer()
}

func RegisterCancelClaimServiceServer(s grpc.ServiceRegistrar, srv CancelClaimServiceServer) {
	s.RegisterService(&CancelClaimService_ServiceDesc, srv)
}

func _CancelClaimService_GetCancelClaim_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetCancelClaimRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CancelClaimServiceServer).GetCancelClaim(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.CancelClaimService/GetCancelClaim",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CancelClaimServiceServer).GetCancelClaim(ctx, req.(*order.GetCancelClaimRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CancelClaimService_ListCancelClaim_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListCancelClaimRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CancelClaimServiceServer).ListCancelClaim(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.CancelClaimService/ListCancelClaim",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CancelClaimServiceServer).ListCancelClaim(ctx, req.(*order.ListCancelClaimRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _CancelClaimService_SaveCancelClaim_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.SaveCancelClaimRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(CancelClaimServiceServer).SaveCancelClaim(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.CancelClaimService/SaveCancelClaim",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(CancelClaimServiceServer).SaveCancelClaim(ctx, req.(*order.SaveCancelClaimRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// CancelClaimService_ServiceDesc is the grpc.ServiceDesc for CancelClaimService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var CancelClaimService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_mobile.CancelClaimService",
	HandlerType: (*CancelClaimServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetCancelClaim",
			Handler:    _CancelClaimService_GetCancelClaim_Handler,
		},
		{
			MethodName: "ListCancelClaim",
			Handler:    _CancelClaimService_ListCancelClaim_Handler,
		},
		{
			MethodName: "SaveCancelClaim",
			Handler:    _CancelClaimService_SaveCancelClaim_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_mobile/cancel_cancel_mobile.proto",
}
